## kf6-baloo 6.12.0

=== CMakeLists.txt ===
# set minimum version requirements
cmake_minimum_required(VERSION 3.16)
set(REQUIRED_QT_VERSION 6.6.0)
set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts

# set up project
project(Baloo VERSION ${KF_VERSION})

# set up extra-cmake-modules before trying anything else
include(FeatureSummary)

find_package(ECM ${KF_DEP_VERSION} NO_MODULE)
set_package_properties(ECM
    PROPERTIES
        TYPE REQUIRED
        DESCRIPTION "Extra CMake Modules"
        URL "https://commits.kde.org/extra-cmake-modules"
)
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

# we found extra-cmake-modules, so use it now
set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH}
)

include(ECMSetupVersion)

# set up baloo versions
ecm_setup_version(PROJECT
    VARIABLE_PREFIX BALOO
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfigVersion.cmake"
    SOVERSION 6
)

# include optional and extra cmake stuff
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)
include(ECMAddTests)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateExportHeader)
include(ECMGeneratePkgConfigFile)
include(ECMConfiguredInstall)
include(ECMDeprecationSettings)
include(ECMQmlModule)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_EXPERIMENTAL "Build experimental features" OFF)
add_feature_info(EXP ${BUILD_EXPERIMENTAL} "Build experimental features")

option(BUILD_INDEXER_SERVICE "Build the background indexer service" ON)
add_feature_info(INDEXER_SERVICE ${BUILD_INDEXER_SERVICE}
    "Build and install the session wide indexer service. The service is started with the session and running in the background.")

# set up build dependencies
find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus Widgets Qml Quick Test)

find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons Config DBusAddons I18n IdleTime Solid FileMetaData Crash KIO)

find_package(LMDB)
set_package_properties(LMDB
    PROPERTIES
        DESCRIPTION "Lightning Memory-Mapped Database (LMDB)"
        URL "https://symas.com/lmdb"
        TYPE REQUIRED
)
if(${LMDB_FOUND})
    include_directories(${LMDB_INCLUDE_DIRS})
endif()

# compiler flags and build system
ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

find_package(Inotify)
set_package_properties(Inotify PROPERTIES
    PURPOSE "Filesystem alteration notifications using inotify")
set(BUILD_KINOTIFY ${Inotify_FOUND})

configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}

    # we'll configure the rest here so that we don't have to
    # specify them in the source and test directories separately
    ${CMAKE_SOURCE_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/codecs
    ${CMAKE_SOURCE_DIR}/src/codecs
    ${CMAKE_BINARY_DIR}/src/engine
    ${CMAKE_SOURCE_DIR}/src/engine
    ${CMAKE_BINARY_DIR}/src/file
    ${CMAKE_SOURCE_DIR}/src/file
    ${CMAKE_BINARY_DIR}/src/dbus
    ${CMAKE_SOURCE_DIR}/src/dbus
)

# targets
add_subdirectory(src)

if (BUILD_TESTING AND BUILD_KINOTIFY)
   add_subdirectory(tests)
   add_subdirectory(autotests)
endif()

# i18n
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ki18n_install(po)
endif()

# config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Baloo")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Baloo_QCH
        FILE KF6BalooQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6BalooQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6BalooConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

# install targets
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF6BalooTargets
    NAMESPACE KF6::
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6BalooTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Baloo
    COMPONENT Devel
)

# and we're done
include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== tests/file/CMakeLists.txt ===
add_executable(indexerconfigtest indexerconfigtest.cpp)
target_link_libraries(indexerconfigtest baloofilecommon)
ecm_mark_as_test(indexerconfigtest)

add_executable(inotifytest inotify.cpp)
target_link_libraries(inotifytest Qt6::Core baloofilecommon)
ecm_mark_as_test(inotifytest)

#
# Storage Devices
#
add_executable(storagedevicestest storagedevicestest.cpp)
target_link_libraries(storagedevicestest Qt6::Core KF6::Solid baloofilecommon)
ecm_mark_as_test(storagedevicestest)

# Benchmark, compiled, but not run automatically with ctest
add_executable(filtereddiriteratorbenchmark filtereddiriteratorbenchmark.cpp)
target_link_libraries(filtereddiriteratorbenchmark Qt6::Core baloofilecommon)

#
# Remaining Time //TODO: rewrite the test to use mainhub, instead of using the indexers directly
#
#[[
add_executable(remainingtimetest-manual
  remainingtimetest.cpp
)

target_link_libraries(remainingtimetest-manual
  Qt6::Core
  baloofilecommon
  BalooDBusExtractorInterface
)

ecm_mark_as_test(remainingtimetest-manual)
]]

=== autotests/unit/codecs/CMakeLists.txt ===
MACRO(BALOO_CODECS_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp
        TEST_NAME ${_testname}
        LINK_LIBRARIES Qt6::Test KF6::BalooCodecs
    )
  ENDFOREACH()
ENDMACRO()

baloo_codecs_auto_tests(
    doctermscodectest
    postingcodectest
    positioncodectest
)

## kf6-baloo 6.3.0

=== debian/changelog ===
kf6-baloo (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 15:00:49 +0200

kf6-baloo (6.0.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.0.0).
  * Add/update Jonathan Esk-Riddell in upstream signing keys.
  * Build against Qt6.
  * Add breaks/replaces relations against kf5 baloo package versions also
    shipping the service.
  * Refresh copyright information.
  * Bump Standards-Version to 4.7.0, no change required.
  * Improve package descriptions.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 May 2024 22:29:01 +0200

baloo-kf5 (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:40 +0100

baloo-kf5 (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:44 +0200

baloo-kf5 (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:01 +0100

baloo-kf5 (5.103.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again the blhc job.
  * Remove an obsolete maintscript entry.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Limit more Linux-only files in baloo-kf5.install.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Feb 2023 19:08:27 +0100

baloo-kf5 (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:31 +0100

baloo-kf5 (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:09 +0100

baloo-kf5 (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:34 +0100

baloo-kf5 (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:05 +0100

baloo-kf5 (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:48 +0200

baloo-kf5 (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:39 +0200

baloo-kf5 (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:08 +0200

baloo-kf5 (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

baloo-kf5 (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

baloo-kf5 (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

baloo-kf5 (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

baloo-kf5 (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:48:08 +0900

baloo-kf5 (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:44 +0900

baloo-kf5 (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 15 Aug 2021 23:59:45 +0900

baloo-kf5 (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:58 +0900

baloo-kf5 (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]


=== debian/control ===
Source: kf6-baloo
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6filemetadata-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6idletime-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6solid-dev (>= 6.3.0~),
               liblmdb-dev,
               libqt6sql6-sqlite <!nocheck>,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo.git
Rules-Requires-Root: no

Package: baloo6
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: baloo-kf5 (<< 5.115.0-3~),
Replaces: baloo-kf5 (<< 5.115.0-3~),
Description: framework for file search and metadata management
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the runtime service and baloo control binaries.

Package: libkf6baloo-dev
Section: libdevel
Architecture: any
Depends: baloo6 (= ${binary:Version}),
         libkf6baloo6 (= ${binary:Version}),
         libkf6balooengine6 (= ${binary:Version}),
         libkf6config-dev (>= 6.3.0~),
         libkf6coreaddons-dev (>= 6.3.0~),
         libkf6crash-dev (>= 6.3.0~),
         libkf6dbusaddons-dev (>= 6.3.0~),
         libkf6filemetadata-dev (>= 6.3.0~),
         libkf6i18n-dev (>= 6.3.0~),
         libkf6idletime-dev (>= 6.3.0~),
         libkf6kio-dev (>= 6.3.0~),
         libkf6solid-dev (>= 6.3.0~),
         qt6-declarative-dev (>= 6.5.0~),
         ${misc:Depends},
Recommends: libkf6baloo-doc (= ${source:Version}),
Breaks: baloo-kf5-dev (<< 5.115.0-3~),
Replaces: baloo-kf5-dev (<< 5.115.0-3~),
Description: framework for file search and metadata management - development files
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the development files.

Package: libkf6baloo-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: framework for file search and metadata management - developer documentation
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the qch documentation files.

Package: libkf6baloo6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for file search and metadata management - shared library
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the shared library.

Package: libkf6balooengine6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for file search and metadata management - internal library
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains an internal library used by the baloo service.

Package: qml6-module-org-kde-baloo
Depends: ${misc:Depends}, ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: framework for file search and metadata management - QML module
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the QML module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON# -DBUILD_TESTING=OFF

## kf6-baloo 6.6.0

=== debian/changelog ===
kf6-baloo (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:03:34 +0100

kf6-baloo (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:20:37 +0100

kf6-baloo (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-baloo
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,17 +11,17 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6crash-dev (>= 6.3.0~),
-               libkf6dbusaddons-dev (>= 6.3.0~),
-               libkf6filemetadata-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6idletime-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6solid-dev (>= 6.3.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6crash-dev (>= 6.6.0~),
+               libkf6dbusaddons-dev (>= 6.6.0~),
+               libkf6filemetadata-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6idletime-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6solid-dev (>= 6.6.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
@@ -28,8 +29,8 @@
                qt6-declarative-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/baloo
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
 Rules-Requires-Root: no
 
 Package: baloo6
@@ -51,15 +52,15 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.3.0~),
-         libkf6coreaddons-dev (>= 6.3.0~),
-         libkf6crash-dev (>= 6.3.0~),
-         libkf6dbusaddons-dev (>= 6.3.0~),
-         libkf6filemetadata-dev (>= 6.3.0~),
-         libkf6i18n-dev (>= 6.3.0~),
-         libkf6idletime-dev (>= 6.3.0~),
-         libkf6kio-dev (>= 6.3.0~),
-         libkf6solid-dev (>= 6.3.0~),
+         libkf6config-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6crash-dev (>= 6.6.0~),
+         libkf6dbusaddons-dev (>= 6.6.0~),
+         libkf6filemetadata-dev (>= 6.6.0~),
+         libkf6i18n-dev (>= 6.6.0~),
+         libkf6idletime-dev (>= 6.6.0~),
+         libkf6kio-dev (>= 6.6.0~),
+         libkf6solid-dev (>= 6.6.0~),
          qt6-declarative-dev (>= 6.5.0~),
          ${misc:Depends},
 Recommends: libkf6baloo-doc (= ${source:Version}),

## kf6-baloo 6.9.0

=== debian/changelog ===
kf6-baloo (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:43:31 +0000

kf6-baloo (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 10:33:47 +0000

kf6-baloo (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:33:32 +0000

kf6-baloo (6.6.0-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Tue, 12 Nov 2024 11:56:25 +0100

kf6-baloo (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:14:49 +0200

kf6-baloo (6.5.0-3) unstable; urgency=medium

  * Team upload.
  * Tweak install files to account for more Linux-only bits.
  * Improve the handling of baloosettings.h in the 'acc' autopkgtest:
    - add a configuration section to exclude it from being checked; it is a
      "private header", so it is fine to not check it
    - drop its editing after the local installation
  * Tweak non-fatal handling of the tests depending on the architecture:
    in particular, split the "big endian" and "other archs" (only riscv64
    currently) in their own categories, so it is easier to distinguish them.

 -- Pino Toscano <pino@debian.org>  Mon, 26 Aug 2024 19:42:12 +0200

kf6-baloo (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Manually edit /usr/include/KF6/Baloo/baloo/baloosettings.h to drop the
    fileexcludefilters.h include, as it is a private (and not installed) header.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Aug 2024 06:51:43 +0200

kf6-baloo (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:11 +0200

kf6-baloo (6.4.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Allow test-failures on riscv64 as well.

 -- Patrick Franz <deltaone@debian.org>  Tue, 23 Jul 2024 15:49:14 +0200

kf6-baloo (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable tests on some archs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 20 Jul 2024 15:17:22 +0200

kf6-baloo (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Fix failing build-time tests by running them within a D-Bus session.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:57 +0200

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,19 @@
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                gettext,
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6crash-dev (>= 6.6.0~),
-               libkf6dbusaddons-dev (>= 6.6.0~),
-               libkf6filemetadata-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6idletime-dev (>= 6.6.0~),
-               libkf6kio-dev (>= 6.6.0~),
-               libkf6solid-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6crash-dev (>= 6.9.0~),
+               libkf6dbusaddons-dev (>= 6.9.0~),
+               libkf6filemetadata-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6idletime-dev (>= 6.9.0~),
+               libkf6kio-dev (>= 6.9.0~),
+               libkf6solid-dev (>= 6.9.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
@@ -52,15 +53,16 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.6.0~),
-         libkf6coreaddons-dev (>= 6.6.0~),
-         libkf6crash-dev (>= 6.6.0~),
-         libkf6dbusaddons-dev (>= 6.6.0~),
-         libkf6filemetadata-dev (>= 6.6.0~),
-         libkf6i18n-dev (>= 6.6.0~),
-         libkf6idletime-dev (>= 6.6.0~),
-         libkf6kio-dev (>= 6.6.0~),
-         libkf6solid-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.9.0~),
+         libkf6coreaddons-dev (>= 6.9.0~),
+         libkf6crash-dev (>= 6.9.0~),
+         libkf6dbusaddons-dev (>= 6.9.0~),
+         libkf6filemetadata-dev (>= 6.9.0~),
+         libkf6i18n-dev (>= 6.9.0~),
+         libkf6idletime-dev (>= 6.9.0~),
+         libkf6kio-dev (>= 6.9.0~),
+         libkf6solid-dev (>= 6.9.0~),
+         qml6-module-org-kde-baloo (= ${binary:Version}),
          qt6-declarative-dev (>= 6.5.0~),
          ${misc:Depends},
 Recommends: libkf6baloo-doc (= ${source:Version}),
@@ -110,7 +112,7 @@
  This package contains an internal library used by the baloo service.
 
 Package: qml6-module-org-kde-baloo
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: framework for file search and metadata management - QML module

## kf6-baloo 6.10.0

=== debian/changelog ===
kf6-baloo (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:26:54 +0100

kf6-baloo (6.8.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Test suite passes on arm64, i386, ppc64el.
  * Ignore test suite failure on loong64. (Closes: #1091903)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 02 Jan 2025 18:13:16 +0100

kf6-baloo (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:47:00 +0100

kf6-baloo (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:22 -0600

kf6-baloo (6.6.0-3) unstable; urgency=medium

  * Fill list of archs with failing tests.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 13:47:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,37 @@
 Source: kf6-baloo
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
+               dbus-test-runner <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
-               libkf6config-dev (>= 6.9.0~),
-               libkf6coreaddons-dev (>= 6.9.0~),
-               libkf6crash-dev (>= 6.9.0~),
-               libkf6dbusaddons-dev (>= 6.9.0~),
-               libkf6filemetadata-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
-               libkf6idletime-dev (>= 6.9.0~),
-               libkf6kio-dev (>= 6.9.0~),
-               libkf6solid-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6crash-dev (>= 6.10.0~),
+               libkf6dbusaddons-dev (>= 6.10.0~),
+               libkf6filemetadata-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6idletime-dev (>= 6.10.0~),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6solid-dev (>= 6.10.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0~),
-               qt6-declarative-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/baloo
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo.git
 Rules-Requires-Root: no
 
 Package: baloo6
@@ -53,17 +53,17 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.9.0~),
-         libkf6coreaddons-dev (>= 6.9.0~),
-         libkf6crash-dev (>= 6.9.0~),
-         libkf6dbusaddons-dev (>= 6.9.0~),
-         libkf6filemetadata-dev (>= 6.9.0~),
-         libkf6i18n-dev (>= 6.9.0~),
-         libkf6idletime-dev (>= 6.9.0~),
-         libkf6kio-dev (>= 6.9.0~),
-         libkf6solid-dev (>= 6.9.0~),
+         libkf6config-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.10.0~),
+         libkf6crash-dev (>= 6.10.0~),
+         libkf6dbusaddons-dev (>= 6.10.0~),
+         libkf6filemetadata-dev (>= 6.10.0~),
+         libkf6i18n-dev (>= 6.10.0~),
+         libkf6idletime-dev (>= 6.10.0~),
+         libkf6kio-dev (>= 6.10.0~),
+         libkf6solid-dev (>= 6.10.0~),
          qml6-module-org-kde-baloo (= ${binary:Version}),
-         qt6-declarative-dev (>= 6.5.0~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6baloo-doc (= ${source:Version}),
 Breaks: baloo-kf5-dev (<< 5.115.0-3~),

## kf6-baloo 6.11.0

=== debian/changelog ===
kf6-baloo (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:24:51 +0100

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,17 @@
                cmake (>= 3.16~),
                dbus-test-runner <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                gettext,
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6crash-dev (>= 6.10.0~),
-               libkf6dbusaddons-dev (>= 6.10.0~),
-               libkf6filemetadata-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6idletime-dev (>= 6.10.0~),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6solid-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6crash-dev (>= 6.11.0~),
+               libkf6dbusaddons-dev (>= 6.11.0~),
+               libkf6filemetadata-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6idletime-dev (>= 6.11.0~),
+               libkf6kio-dev (>= 6.11.0~),
+               libkf6solid-dev (>= 6.11.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
@@ -53,15 +53,15 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.10.0~),
-         libkf6coreaddons-dev (>= 6.10.0~),
-         libkf6crash-dev (>= 6.10.0~),
-         libkf6dbusaddons-dev (>= 6.10.0~),
-         libkf6filemetadata-dev (>= 6.10.0~),
-         libkf6i18n-dev (>= 6.10.0~),
-         libkf6idletime-dev (>= 6.10.0~),
-         libkf6kio-dev (>= 6.10.0~),
-         libkf6solid-dev (>= 6.10.0~),
+         libkf6config-dev (>= 6.11.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
+         libkf6crash-dev (>= 6.11.0~),
+         libkf6dbusaddons-dev (>= 6.11.0~),
+         libkf6filemetadata-dev (>= 6.11.0~),
+         libkf6i18n-dev (>= 6.11.0~),
+         libkf6idletime-dev (>= 6.11.0~),
+         libkf6kio-dev (>= 6.11.0~),
+         libkf6solid-dev (>= 6.11.0~),
          qml6-module-org-kde-baloo (= ${binary:Version}),
          qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},

## kf6-baloo 6.12.0

=== debian/changelog ===
kf6-baloo (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:48:52 +0000

kf6-baloo (6.11.0-0ubuntu2) plucky; urgency=high

  * Sync changes from debian/6.10.0-1

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2025 10:31:07 +0000

kf6-baloo (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:44:53 +0000

kf6-baloo (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:16:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,38 @@
 Source: kf6-baloo
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-test-runner <!nocheck>,
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               dbus-test-runner <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                gettext,
-               libkf6config-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6crash-dev (>= 6.11.0~),
-               libkf6dbusaddons-dev (>= 6.11.0~),
-               libkf6filemetadata-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6idletime-dev (>= 6.11.0~),
-               libkf6kio-dev (>= 6.11.0~),
-               libkf6solid-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6crash-dev (>= 6.12.0~),
+               libkf6dbusaddons-dev (>= 6.12.0~),
+               libkf6filemetadata-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6idletime-dev (>= 6.12.0~),
+               libkf6kio-dev (>= 6.12.0~),
+               libkf6solid-dev (>= 6.12.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-declarative-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/baloo
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
 Rules-Requires-Root: no
 
 Package: baloo6
@@ -53,15 +54,15 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.11.0~),
-         libkf6coreaddons-dev (>= 6.11.0~),
-         libkf6crash-dev (>= 6.11.0~),
-         libkf6dbusaddons-dev (>= 6.11.0~),
-         libkf6filemetadata-dev (>= 6.11.0~),
-         libkf6i18n-dev (>= 6.11.0~),
-         libkf6idletime-dev (>= 6.11.0~),
-         libkf6kio-dev (>= 6.11.0~),
-         libkf6solid-dev (>= 6.11.0~),
+         libkf6config-dev (>= 6.12.0~),
+         libkf6coreaddons-dev (>= 6.12.0~),
+         libkf6crash-dev (>= 6.12.0~),
+         libkf6dbusaddons-dev (>= 6.12.0~),
+         libkf6filemetadata-dev (>= 6.12.0~),
+         libkf6i18n-dev (>= 6.12.0~),
+         libkf6idletime-dev (>= 6.12.0~),
+         libkf6kio-dev (>= 6.12.0~),
+         libkf6solid-dev (>= 6.12.0~),
          qml6-module-org-kde-baloo (= ${binary:Version}),
          qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},

## kf6-baloo 6.13.0

=== autotests/integration/CMakeLists.txt ===
MACRO(BALOO_ENGINE_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp
        TEST_NAME ${_testname}
        LINK_LIBRARIES Qt6::Test KF6::BalooEngine
    )
  ENDFOREACH()
ENDMACRO()

baloo_engine_auto_tests(
    querytest
    writetransactiontest
)
target_link_libraries(querytest
    KF6::Baloo
)

add_executable(basicindexingbenchmark_bin basicindexingbenchmark.cpp)
target_link_libraries(basicindexingbenchmark_bin
    Qt6::Core
    KF6::BalooEngine
    baloofilecommon
)
ecm_mark_as_test(basicindexingbenchmark_bin)
ecm_mark_nongui_executable(basicindexingbenchmark_bin)

add_test(NAME basicindexingbenchmark_ts100 COMMAND basicindexingbenchmark_bin "-s" "100" ${CMAKE_SOURCE_DIR}/src)
add_test(NAME basicindexingbenchmark_ts50  COMMAND basicindexingbenchmark_bin "-s" "50"  ${CMAKE_SOURCE_DIR}/src)

=== src/dbus/fake/CMakeLists.txt ===
install(FILES org.kde.baloo.file.indexer.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== src/tools/experimental/baloodb/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"baloodb6\")

set(SRCS main.cpp)

add_executable(baloodb ${SRCS})
ecm_mark_nongui_executable(baloodb)
target_compile_definitions(baloodb PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(baloodb
    KF6::Baloo
    KF6::BalooEngine
    KF6::CoreAddons
    KF6::I18n
)

install(TARGETS baloodb ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kf6-baloo (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:37:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,37 @@
 Source: kf6-baloo
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-test-runner <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
+               dbus-test-runner <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                gettext,
-               libkf6config-dev (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6crash-dev (>= 6.12.0~),
-               libkf6dbusaddons-dev (>= 6.12.0~),
-               libkf6filemetadata-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               libkf6idletime-dev (>= 6.12.0~),
-               libkf6kio-dev (>= 6.12.0~),
-               libkf6solid-dev (>= 6.12.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6crash-dev (>= 6.13.0~),
+               libkf6dbusaddons-dev (>= 6.13.0~),
+               libkf6filemetadata-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               libkf6idletime-dev (>= 6.13.0~),
+               libkf6kio-dev (>= 6.13.0~),
+               libkf6solid-dev (>= 6.13.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0~),
-               qt6-declarative-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/baloo
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo.git
 Rules-Requires-Root: no
 
 Package: baloo6
@@ -54,15 +53,15 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.12.0~),
-         libkf6coreaddons-dev (>= 6.12.0~),
-         libkf6crash-dev (>= 6.12.0~),
-         libkf6dbusaddons-dev (>= 6.12.0~),
-         libkf6filemetadata-dev (>= 6.12.0~),
-         libkf6i18n-dev (>= 6.12.0~),
-         libkf6idletime-dev (>= 6.12.0~),
-         libkf6kio-dev (>= 6.12.0~),
-         libkf6solid-dev (>= 6.12.0~),
+         libkf6config-dev (>= 6.13.0~),
+         libkf6coreaddons-dev (>= 6.13.0~),
+         libkf6crash-dev (>= 6.13.0~),
+         libkf6dbusaddons-dev (>= 6.13.0~),
+         libkf6filemetadata-dev (>= 6.13.0~),
+         libkf6i18n-dev (>= 6.13.0~),
+         libkf6idletime-dev (>= 6.13.0~),
+         libkf6kio-dev (>= 6.13.0~),
+         libkf6solid-dev (>= 6.13.0~),
          qml6-module-org-kde-baloo (= ${binary:Version}),
          qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# positioncodectest fails on big endian architectures
ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
  fail_param := || true
endif
# general failures not related to endianness
testsuite_failing_archs := \
		armel \
		armhf \
		loong64 \
		riscv64 \

ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	dbus-run-session -- dh_auto_test --buildsystem=kf6 $(fail_param)
